### Hierarchy

- AesCipher

### Implemented by

- NodeCryptoAesCipher
- WebCryptoAesCipher

## Index

### Methods

- decrypt
- encrypt

## Methods

### decrypt

- decrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- - Defined in src/encryption/aesCipher.ts:15

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

### encrypt

- encrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- - Defined in src/encryption/aesCipher.ts:9

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

Generated using TypeDoc